package utils

import (
	"time"

	"github.com/Masterminds/semver"
)

type runInfo struct {
	TimeStarted time.Time
	Pid         int
}

type SshVerInfo struct {
	Major   uint
	Minor   uint
	Patch   uint
	Raw     string
	SemVer  semver.Version
	SslInfo OpenSslInfo
}

type OpenSslInfo struct {
	Major     uint
	Minor     uint
	Patch     uint
	Revision  string
	BuildDate time.Time
	Raw       string
	SemVer    semver.Version
}
